/*******************************************************************************
 * Copyright (c) 2010 Sylvain Sicard.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Lesser Public License v2.1
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 * 
 * Contributors:
 *     Sylvain Sicard - initial API and implementation
 ******************************************************************************/
package asmifer.entities;

import java.util.Collection;
import java.util.Map;

/**
 * @author Sylvain Sicard
 * 
 */
public class PeopleB {

	private String name;

	private Integer age;

	private int rate;

	private byte[] byteField;

	private Object[] objectArray;

	private Map<String, String> map_;

	private Collection<String> collection_;

	private AddresseB addresse;

	public byte[] getByteField() {
		return byteField;
	}

	public void setByteField(byte[] byteField) {
		this.byteField = byteField;
	}

	public void setAge(Integer age) {
		this.age = age;
	}

	public Integer getAge() {
		return age;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}

	@Override
	public String toString() {
		return name + " - " + age + " - " + rate + " - " + byteField.toString();
	}

	public void setRate(int rate) {
		this.rate = rate;
	}

	public int getRate() {
		return rate;
	}

	public void setObjectArray(Object[] objectArray) {
		this.objectArray = objectArray;
	}

	public Object[] getObjectArray() {
		return objectArray;
	}

	public void setMap_(Map<String, String> map_) {
		this.map_ = map_;
	}

	public Map<String, String> getMap_() {
		return map_;
	}

	public void setCollection_(Collection<String> collection_) {
		this.collection_ = collection_;
	}

	public Collection<String> getCollection_() {
		return collection_;
	}

	public void setAddresse(AddresseB addresse) {
		this.addresse = addresse;
	}

	public AddresseB getAddresse() {
		return addresse;
	}
}
